                                                                                                                 
                                                                                                                     
              REAL function fill
              Include ?
               common/ntupr/x1,x2,x3
                                                                                                                     
                x1=var1
                x2=var2
                x3=var5
               call hfnt(22,z1)
               fill=1.
              RETURN
              END
                                                                                                                     

